/******************************************************************************
*
* (c) 2004 by BECK IPC GmbH
*
* BECK IPC GmbH
* Garbenheimerstr. 36-38
* D-35578 Wetzlar
*
* Phone: (49)-6441-905-0
* Fax:   (49)-6441-905-245
*
*******************************************************************************
*
* Disclaimer: This program is an example and should be used as such.
*             If you wish to use this program or parts of it in your application,
*             you must validate the code yourself. BECK IPC GmbH can not be held
*             responsible for the correct functioning or coding of this example.
*
* Module:     chipsel.c
* Function:   Example for using the hardware API. This shows how to enable the
*             PCS address line signals.
*             This example provides the same functionality as the internal
*             "pcs" RTOS command.
*
*******************************************************************************
*
* $Header: chipsel.c, 2, 31.03.2004 11:15:34, Andre Pribil$
*
******************************************************************************/



/******************************************************************************
* Includes
******************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include "clib.h"

/******************************************************************************
* Display command line options
******************************************************************************/
void usage (void)
{
  printf("\nProgram enables chip select PCS");
  printf("\nUsage: chipsel <pcs-no> ,  pcs-no=0, 1, 2, 3, 5, 6");
}

/******************************************************************************
* Main
******************************************************************************/
void main (int argc, char *argv[])
{
  unsigned pcs;

  if (argc==2)
  {
     pcs = atoi(argv[1]);
     if ((pcs>6) || (pcs==4))
     {
       usage();
       return;
     }
  }
  else
  {
     usage();
     return;
  }

  printf("\nEnable PCS%d#", pcs);

  // Enable pcs
  pfe_enable_pcs(pcs);

  printf("\nPlease use \"ib\" and \"ob\" commands to test");
}

