/******************************************************************************
*
* (c) 2004 by BECK IPC GmbH
*
* BECK IPC GmbH
* Garbenheimerstr. 36-38
* D-35578 Wetzlar
*
* Phone: (49)-6441-905-0
* Fax:   (49)-6441-905-245
*
*******************************************************************************
*
* Disclaimer: This program is an example and should be used as such.
*             If you wish to use this program or parts of it in your application,
*             you must validate the code yourself. BECK IPC GmbH can not be held
*             responsible for the correct functioning or coding of this example.
*
* Module:     dns_ex.c
* Function:   This program uses the function gethostbyname from dns.c to resolve
*             the IP address of www.beck-ipc.com.
*
*******************************************************************************
*
* $Header: dns_ex.c, 3, 31.03.2004 11:15:38, Andre Pribil$
*
******************************************************************************/


/******************************************************************************
* Includes
******************************************************************************/
#include <stdio.h>
#include "clib.h"
#include "dns.h"



/******************************************************************************
* Global variables
******************************************************************************/
char *host="www.beck-ipc.com";
char *dns2="195.182.96.29";     // DNS server from planet interkom, pick any you like
char *pch;
char *dns;
char str[50];
unsigned long ttl;
unsigned long IP;
UserEthDhcp_Entry *dhcp_ent;
unsigned int dhcp_stat, dhcp_use;
char ip_str1[20];
char ip_str2[20];
unsigned long DNS_Pri_IP  = 0L;
unsigned long DNS_Sec_IP  = 0L;



/******************************************************************************
* main()
******************************************************************************/
int main(int argc, char **argv)
{
   if (argc>1) pch=argv[1]; else pch=host;

   /* Get DNS server ip from DHCP server (if DHCP use!) */
   Get_DHCP_Status_Ext(&dhcp_use, &dhcp_stat, &dhcp_ent);
   printf("\nDHCP use  = %d\n", dhcp_use);
   printf("DHCP stat = %d\n", dhcp_stat);
   if (dhcp_ent != NULL)
   {
      DNS_Pri_IP = dhcp_ent->Dns1ServerIpAddress;
      DNS_Sec_IP = dhcp_ent->Dns2ServerIpAddress;
      InetToAscii(&DNS_Pri_IP, ip_str1);
      printf("\nDNS_Pri_IP = %s\n", ip_str1);
      InetToAscii(&DNS_Sec_IP, ip_str2);
      printf("DNS_Sec_IP = %s\n", ip_str2);
      dns = ip_str1;
   }
   else dns = dns2;

   printf("\r\nDoing dns request for host %s ",pch);
   if (gethostbyname( dns, pch, &ttl, &IP, str))
   {
      printf("\r\ndns for host %s is %s",pch,str);
      printf("\r\nttl=%d minutes\r\n",(int)(ttl/60));
   }
   else
   {
      printf("\r\nDNS for %s failed.\r\n",pch);
   }

   return 0;
}



// End of file
